Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.tsmx.mbeans
Class PerformanceStatistics

    java.lang.Object
      com.arjuna.ats.tsmx.mbeans.PerformanceStatistics

All Implemented Interfaces:
  PerformanceStatisticsMBean

public class PerformanceStatistics
extends java.lang.Object
implements PerformanceStatisticsMBean

Constructor Summary
`PerformanceStatistics()`

Method Summary
`java.lang.String` | `getIconFilename()`
`int` | `getNumberOfAbortedTransactions()` Get the number of transactions which have been aborted.
`int` | `getNumberOfCommittedTransactions()` Get the number of transactions which have been committed.
`int` | `getNumberOfHeuristics()` Get the number of transactions which have terminated with a heuristic outcome.
`int` | `getNumberOfNestedTransactions()` Get the number of nested (sub) transactions created so far.
`int` | `getNumberOfTransactions()` Get the number of transactions created so far (includes nested and top-level transactions).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PerformanceStatistics

    public PerformanceStatistics()

Method Detail

### getNumberOfTransactions

    public int getNumberOfTransactions()

  Get the number of transactions created so far (includes nested and top-level transactions).

  Specified by:
    `getNumberOfTransactions` in interface `PerformanceStatisticsMBean`
  Returns:
    The number of transactions created.

### getNumberOfNestedTransactions

    public int getNumberOfNestedTransactions()

  Get the number of nested (sub) transactions created so far.

  Specified by:
    `getNumberOfNestedTransactions` in interface `PerformanceStatisticsMBean`
  Returns:
    The number of nested transactions created so far.

### getNumberOfHeuristics

    public int getNumberOfHeuristics()

  Get the number of transactions which have terminated with a heuristic outcome.

  Specified by:
    `getNumberOfHeuristics` in interface `PerformanceStatisticsMBean`
  Returns:
    The number of transactions which have terminated with a heuristic outcome.

### getNumberOfCommittedTransactions

    public int getNumberOfCommittedTransactions()

  Get the number of transactions which have been committed.

  Specified by:
    `getNumberOfCommittedTransactions` in interface `PerformanceStatisticsMBean`
  Returns:
    The number of transactions which have been committed.

### getNumberOfAbortedTransactions

    public int getNumberOfAbortedTransactions()

  Get the number of transactions which have been aborted.

  Specified by:
    `getNumberOfAbortedTransactions` in interface `PerformanceStatisticsMBean`
  Returns:
    The number of transactions which have been aborted.

### getIconFilename

    public java.lang.String getIconFilename()

  Specified by:
    `getIconFilename` in interface `PerformanceStatisticsMBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD